CashAccountSEPA1
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

## Class CashAccountSEPA1

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03.CashAccountSEPA1

-     public class CashAccountSEPA1
      extends java.lang.Object

  Java class for CashAccountSEPA1 complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CashAccountSEPA1">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}AccountIdentificationSEPA"/>
               <element name="Ccy" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}ActiveOrHistoricCurrencyCode" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `ccy`
    `protected AccountIdentificationSEPA` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CashAccountSEPA1()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCcy()` Gets the value of the ccy property.
    `AccountIdentificationSEPA` | `getId()` Gets the value of the id property.
    `void` | `setCcy(java.lang.String value)` Sets the value of the ccy property.
    `void` | `setId(AccountIdentificationSEPA value)` Sets the value of the id property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected AccountIdentificationSEPA id

    - #### ccy

          protected java.lang.String ccy

  - ### Constructor Detail

    - #### CashAccountSEPA1

          public CashAccountSEPA1()

  - ### Method Detail

    - #### getId

          public AccountIdentificationSEPA getId()

      Gets the value of the id property.
      Returns:
        possible object is `AccountIdentificationSEPA`

    - #### setId

          public void setId(AccountIdentificationSEPA value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `AccountIdentificationSEPA`

    - #### getCcy

          public java.lang.String getCcy()

      Gets the value of the ccy property.
      Returns:
        possible object is `String`

    - #### setCcy

          public void setCcy(java.lang.String value)

      Sets the value of the ccy property.
      Parameters:
        `value` - allowed object is `String`